# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "diffenator3"
version = "1.1.4"
authors = ["The Diffenator3 Authors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A font comparison tool that will not stop until your fonts are exhaustively compared"
homepage = "https://github.com/googlefonts/diffenator3"
readme = false
license = "Apache-2.0"
repository = "https://github.com/googlefonts/diffenator3"

[features]
typescript = [
    "dep:typescript-type-def",
    "diffenator3-lib/typescript",
]

[lib]
name = "diffenator3"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "diff3proof"
path = "src/bin/diff3proof.rs"

[[bin]]
name = "diffenator3"
path = "src/main.rs"

[dependencies.clap]
version = "4.5.9"
features = ["derive"]

[dependencies.colored]
version = "2.1.0"

[dependencies.diff3proof]
version = "1"

[dependencies.diffenator3-lib]
version = "1"
features = ["html"]

[dependencies.env_logger]
version = "0.11"

[dependencies.indexmap]
version = "1.9.3"

[dependencies.itertools]
version = "0.13.0"

[dependencies.log]
version = "0.4.28"

[dependencies.rayon]
version = "1.11.0"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.96"
features = ["preserve_order"]

[dependencies.shaperglot]
version = "1.1.2"

[dependencies.skrifa]
version = "0.37.0"

[dependencies.tabled]
version = "0.20.0"

[dependencies.ttj]
version = "1"

[dependencies.typescript-type-def]
version = "0.5.13"
features = ["json_value"]
optional = true
